# QDesktopServices Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QDesktopServices()

### Constructor Properties

- prototype: The QDesktopServices prototype object
- String displayName(StandardLocation type)
- bool openUrl(QUrl url)
- void setUrlHandler(String scheme, QObject receiver, char method)
- String storageLocation(StandardLocation type)
- void unsetUrlHandler(String scheme)
- DesktopLocation
- DocumentsLocation
- FontsLocation
- ApplicationsLocation
- MusicLocation
- MoviesLocation
- PicturesLocation
- TempLocation
- HomeLocation
- DataLocation
- CacheLocation
- StandardLocation( value )

### Instance Properties

QDesktopServices objects have no special properties beyond those inherited from the QDesktopServices prototype object.